//*********************************************************************
// 2011 Institute of Biomedical Engineering, UNB.
//
// FileName:        Timer.h
//
// REVISION HISTORY:
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Author		Date      	Comments on this revision                                                                                                                                
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Y. Losier   11/08/12    MEC'11 PDCP Worshop
// A. Wilson            
//
// ADDITIONAL NOTES:
//
//*********************************************************************

#ifndef __TIMER_H__
#define __TIMER_H__

#include "p33fxxxx.h"

extern unsigned long timer1Counter;

extern signed char IncrementFlag;
extern unsigned char barGraphValue;
extern unsigned char barGraphTestCounter;

extern void InitTimer1(void);
extern void StartTimer1(void);
extern void StopTimer1(void);
extern void __attribute__((interrupt, no_auto_psv)) _T1Interrupt(void);


extern unsigned char timer1Flag;
extern unsigned char currentFlag;
extern unsigned long timer1FlagCounter;

#endif


