#!/bin/bash

red="\E[31m"
yellow="\E[33m"
green="\E[32m"
none="\E[0m"

while read line
do
	line=${line// error/"${red} error${none}"}
	line=${line//FAIL/"${red}FAIL${none}"}
	line=${line//warning/"${yellow}warning${none}"}
	line=${line//IGNORE/"${yellow}IGNORE${none}"}
	line=${line//OK/"${green}OK${none}"}
	line=${line//PASS/"${green}PASS${none}"}
	echo -e "${line}"
done
