#ifndef _pdcp_test_helper_H
#define _pdcp_test_helper_H

#include "pdcp_driver.h"
#include <stdint.h>
#include <stdio.h>

void test_helper_init(uart_conn* new_conn);

void write_failure_response(uint16_t msg_id, uint8_t error_code);

void write_system_info_response(uint8_t n_devices, uint8_t n_input_channels, uint8_t n_output_channels, uint8_t n_channel_links);

void write_device_info_response(uint8_t snum_lsb, uint8_t type_lsb, uint8_t profile_lsb);
	
void write_input_channel_info_response(uint8_t snum_lsb, uint8_t channel_index, uint16_t type, uint16_t profile);
void write_output_channel_info_response(uint8_t snum_lsb, uint8_t channel_index, uint16_t type, uint16_t profile);

void write_channel_link_info_response(uint8_t out_snum_lsb, uint8_t out_channel_index, uint8_t in_snum_lsb, uint8_t in_channel_index, uint8_t link_status);

void write_get_parameter_response_value(size_t size, uint8_t* value);
void write_get_parameter_response(size_t size);
void write_set_parameter_response();

void write_configure_channel_link_response(uint8_t link_status);

#endif
